Bug 473838 - RHEL 4.6 iso DVD verifies OK but fails to install
RHEL 4.6 iso DVD verifies OK but fails to install
Status: CLOSED CANTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.6
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Red Hat Kernel Manager
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-30 19:28 EST by grants
Modified: 2011-11-03 13:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-03 13:38:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description grants 2008-11-30 19:28:51 EST
Description of problem:

I downloaded the DVD iso for RHEL4.6 from rhn. I checked the MD5sum and it was all good. I wrote the file to a DVD. I ran the Disk check process and it came back with PASS. but it fails to complete the install using text and GUI 

Version-Release number of selected component (if applicable):
RHEL 4.6

How reproducible:
every time

Steps to Reproduce:
1. Download DVD iso 4.6 x86_64 ES (md5sum 02c05d09ad82dd6ceef03e115bf99b8b)
2. Write to DVD, boot and confirm that DVD is good using media check.
3. Do a text based install with the following choices
- select OK 
- leave default english click OK
- Leave Default US English click OK
- Select Re-Install rather than upgrade
- Autopartition
- Remove all partitions but only select first disk. Are you sure Yes.
- Leave default partition
- DEfault boot loader
- No special options
- No Grub password
- Default bootloader configuration 
- boot loader in MBR
- Default (DHCP) for eth0
- host name via DHCP
- No firewall
- SELinux disabled
- No additional language




4 Do a GUI based install with the following choices
- Click next 
- leave default english click next
- Leave Default US English click next
- Select Re-Install rather than upgrade
 

  
Actual results:

In both situations I get somthing like the following in fourth virtual console

ata1.01: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
ata1.01: cmd a0/01:00:00:00:00/00:00:00:00:00/b0 tag 0 cdb 0x28 data 8192 in
         res 40/00:00:00:00:00/00:00:00:00:00/00 Emask 0x4 (timeout)
ata1.01 port is slow to respond please be patient (Status 0xd0)
ata1: port failed to respond (30 secs, Status 0xd0)

Doing a text based re-install I get 
Traceback (most recent call last):
  File "/usr/bin/anaconda". line 1186, in ?
    intf.run(id, dispatch, configFileData)
  File
"/var/tmp/anaconda-10.1.1.81//usr/lib/anaconda/text.py", line 481 in run
    exec s
  File "<string>", line 1, in ?
ImportError: cannot import name TimezoneWindow  

Doing a Graphical install I get 
An error occurred when attempting to load an installer interface component.

clasName = PartitionMethodWindow


Expected results:
Install to complete with no errors


Additional info:
HP xw6600 workstation 
Dual Quad core with 8 GB RAM
SATA disk drives
Comment 1 Chris Lumens 2008-12-03 09:47:25 EST
I assigned this to kernel on the basis of the error messages reported on tty4:

ata1.01: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
ata1.01: cmd a0/01:00:00:00:00/00:00:00:00:00/b0 tag 0 cdb 0x28 data 8192 in
         res 40/00:00:00:00:00/00:00:00:00:00/00 Emask 0x4 (timeout)
ata1.01 port is slow to respond please be patient (Status 0xd0)
ata1: port failed to respond (30 secs, Status 0xd0)

Those kinds of messages could very easily be the result of the random sorts of errors like the reporter is getting.  Are these warnings instead of errors?

Reporter:  could you attach /tmp/syslog and /tmp/anaconda.log to this bug report?
Comment 2 grants 2008-12-03 21:46:56 EST
in short  no

I install fails before it connects to our network, no command works except for inbuild bash commands. I can read the file but I cannot write it anywhere as mount  does not work nor does any network based commands.

Is there anything in particular you are looking for?
Comment 3 Chris Lumens 2008-12-04 15:14:53 EST
/tmp/syslog would say whether there are further kernel read errors.

Note You need to log in before you can comment on or make changes to this bug.